Bug 404361 - Provide our CPE name in a new system file
Provide our CPE name in a new system file
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: fedora-release (Show other bugs)
rawhide
All Linux
low Severity low
: ---
: ---
Assigned To: David Cantrell
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-11-29 08:37 EST by Mark J. Cox (Product Security)
Modified: 2013-01-09 20:44 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-03-13 11:32:09 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
quick example patch (1.04 KB, patch)
2007-11-29 08:37 EST, Mark J. Cox (Product Security)
no flags Details | Diff

  None (edit)
Description Mark J. Cox (Product Security) 2007-11-29 08:37:35 EST
CPE (Common Platform Enumeration) is a structured naming scheme for platforms
proposed by Mitre.  

CPE is used by the National Vulnerability Database and is part of SCAP and is
designed to be a way of providing a formal way to uniquely identify a platform.  
Whilst security tools can guess our platform by reading
/etc/[fedora|redhat|system]-release, parsing the marketing names is not
consistent.  We're already using CPE names to identify platforms and metrics
when releasing Red Hat Enterprise Linux advisories.  

So the proposal is to have fedora-release provide the CPE name for the release
in such a way that third party system tools can make use of it, and also to
convince other distributions to do the same.

For example, the formal name for the OS platform Fedora 8 is
"cpe://o:fedora_project:fedora:8" (ignore the incorrect name used in the
dictionary on the NVD site, it's due for update shortly)

This is a common platform name, regardless of what individual applications
(packages) are provided.  Therefore spins can use the same name.

So perhaps provide a /etc/system-release-cpe (/etc/system-cpe?) file containing
cpe://o:fedora_project:fedora:%{version}
Comment 1 Mark J. Cox (Product Security) 2007-11-29 08:37:35 EST
Created attachment 272911 [details]
quick example patch
Comment 2 Jesse Keating 2007-11-29 09:34:32 EST
How does RHEL do it?
Comment 4 Jesse Keating 2008-03-13 11:32:09 EDT
Added this patch in as part of fedora-release for Fedora 9 Beta.

Note You need to log in before you can comment on or make changes to this bug.